Subject: elfutils failure in test suite on aarch64
From: Vagrant Cascadian <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jun 2018 14:23:04 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The test suite for elfutils is consistently failing on an aarch64 system
running GuixSD on a SoftIron Overdrive 1000 system, although other
people are able to build it fine. I'll see if I can reproduce on another
aarch64 system.

I think the following test is what's failing, but the full log is also
attached.

FAIL: run-backtrace-native-core.sh
==================================

backtrace: backtrace.c:114: callback_verify: Assertion `symname != NULL && strcmp (symname, "sigusr2") == 0' failed.
./test-subr.sh: line 84: 14188 Aborted                 LD_LIBRARY_PATH="${built_library_path}${LD_LIBRARY_PATH:+:}$LD_LIBRARY_PATH" $VALGRIND_CMD "$@"
backtrace-child-core.14183: no main
FAIL run-backtrace-native-core.sh (exit status: 1)

live well,
  vagrant